Fedora 13 : subversion-1.6.13-1.fc13 (2010-16136)

medium Nessus Plugin ID 50395

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Fedora host is missing a security update.

Description

This update includes the latest stable release of Subversion, version 1.6.13.

Subversion servers up to 1.6.12 (inclusive) making use of the 'SVNPathAuthz short_circuit' mod_dav_svn configuration setting have a bug which may allow users to write and/or read portions of the repository to which they are not intended to have access. This issue is fixed in this update.

See http://subversion.apache.org/security/CVE-2010-3315-advisory.txt for further details

A number of bug fixes are also included :

- don't drop properties during foreign-repo merges

- improve auto-props failure error message

- improve error message for 403 status with ra_neon

- don't allow 'merge --reintegrate' for 2-url merges

- improve handling of missing fsfs.conf during hotcopy

- escape unsafe characters in a URL during export

- don't leak stale locks in FSFS

- better detect broken working copies during update over ra_neon

- fsfs: make rev files read-only

- properly canonicalize a URL

- fix wc corruption with 'commit --depth=empty'

- permissions fixes when doing reintegrate merges

- fix mergeinfo miscalculation during 2-url merges

- fix error transmission problems in svnserve

- fixed: record-only merges create self-referential mergeinfo

- make 'svnmucc propset' handle existing and non-existing URLs

- add new 'propsetf' subcommand to svnmucc

- emit a warning about copied dirs during ci with limited depth

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected subversion package.

See Also

http://subversion.apache.org/security/CVE-2010-3315-advisory.txt

https://bugzilla.redhat.com/show_bug.cgi?id=640317

http://www.nessus.org/u?664b6b3d

Plugin Details

Severity: Medium

ID: 50395

File Name: fedora_2010-16136.nasl

Version: 1.12

Type: local

Agent: unix

Published: 10/29/2010

Updated: 1/11/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.8

CVSS v2

Risk Factor: Medium

Base Score: 6

Temporal Score: 4.4

Vector: AV:N/AC:M/Au:S/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:subversion, cpe:/o:fedoraproject:fedora:13

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 10/11/2010

Reference Information

CVE: CVE-2010-3315

BID: 43678

FEDORA: 2010-16136